天气与日历 切换到窄版

 找回密码
 立即注册
中国膜结构网
十大进口膜材评选 十大国产膜材评选 十大膜结构设计评选 十大膜结构公司评选
查看: 119|回复: 0

插入块

[复制链接]

该用户从未签到

主题

0

回帖

0

积分

管理员

积分
0
QQ
发表于 2024-5-15 09:37:37 | 显示全部楼层 |阅读模式
  1. void insertBlock(LPCWSTR blockname)
  2. {
  3.         // Find the block ID
  4.         AcDbDatabase *db = acdbHostApplicationServices()->workingDatabase();
  5.         Acad::ErrorStatus es;
  6.         AcDbBlockTable *pBlockTable;
  7.         AcDbObjectId blockId;
  8.         es = db->getBlockTable(pBlockTable, AcDb::kForRead);
  9.         if (es == Acad::eOk)
  10.         {
  11.                 es = pBlockTable->getAt(blockname, blockId);
  12.                 pBlockTable->close();
  13.         }
  14.         // Ask for insertion point
  15.         AcGeVector3d vec;
  16.         int stat = acedGetPoint(nullptr, L"\nInsertion point: ", asDblArray(vec));
  17.         if (stat != RTNORM)
  18.                 return;
  19.         // Create the BREF
  20.         AcDbBlockReference *bref = new AcDbBlockReference();
  21.         bref->setDatabaseDefaults(db); // will set current layer, color and linetype
  22.         bref->setBlockTableRecord(blockId);
  23.         AcGeMatrix3d trans;
  24.         trans.setToTranslation(vec);
  25.         bref->setBlockTransform(trans);
  26.        
  27.         // <add Code to modify layer or color here>
  28.         postToDb(bref); // Post to DB. See <ARX>\samples\entity\polysamp\utilui.cpp
  29. }
复制代码
插入块
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|中国膜结构网|中国膜结构协会|进口膜材|国产膜材|ETFE|PVDF|PTFE|设计|施工|安装|车棚|看台|污水池|中国膜结构网_中国空间膜结构协会

GMT+8, 2024-11-1 08:07 , Processed in 0.134260 second(s), 28 queries .

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表